CacheDoesNotExistException (Apache Geode 1.15.4)

org.apache.geode.admin

## Class CacheDoesNotExistException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.geode.GemFireCheckedException
      - - org.apache.geode.admin.AdminException
        - - org.apache.geode.admin.CacheDoesNotExistException

- All Implemented Interfaces:
    Serializable

  Deprecated.
  as of 7.0 use the `management` package instead

      @Deprecated
      public class CacheDoesNotExistException
      extends AdminException

  An `CacheDoesNotExistException` is thrown when an attempt is made to get a cache and one does not exist.
  Since:
    GemFire 3.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheDoesNotExistException()` Deprecated. Constructs a new exception with `null` as its detail message.
    `CacheDoesNotExistException(String message)` Deprecated. Constructs a new exception with the specified detail message.
    `CacheDoesNotExistException(String message, Throwable cause)` Deprecated. Constructs a new exception with the specified detail message and cause.
    `CacheDoesNotExistException(Throwable cause)` Deprecated. Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.GemFireCheckedException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CacheDoesNotExistException

          public CacheDoesNotExistException()

      Deprecated.
      Constructs a new exception with `null` as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

    - #### CacheDoesNotExistException

          public CacheDoesNotExistException(String message)

      Deprecated.
      Constructs a new exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
      Parameters:
        `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.

    - #### CacheDoesNotExistException

          public CacheDoesNotExistException(String message,
                                            Throwable cause)

      Deprecated.
      Constructs a new exception with the specified detail message and cause.

      Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

    - #### CacheDoesNotExistException

          public CacheDoesNotExistException(Throwable cause)

      Deprecated.
      Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`). This constructor is useful for exceptions that are little more than wrappers for other throwables (for example, `PrivilegedActionException`).
      Parameters:
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)